Package: java.time.temporal

## Interface TemporalAmount

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `long` | `getAt(TemporalUnit unit)` Supports the getAt operator; equivalent to calling the TemporalAmount#get(TemporalUnit) method.

- - ### Methods Detail

    - #### public long getAt(TemporalUnit unit)

      Supports the getAt operator; equivalent to calling the TemporalAmount#get(TemporalUnit) method.

      Parameters:
        `unit` - a non-null TemporalUnit
      Returns:
        the value for the field
      Since:
        2.5.0